###################################################
### chunk number 1: 
###################################################
#options(width = 65)
library(MCPMod) 


###################################################
### chunk number 2: 
###################################################
mods1 <- list(linear = NULL, emax = 0.2, logistic = c(0.25, 0.09)) 


###################################################
### chunk number 3: 
###################################################
 mods2 <- list(linear = NULL, emax = c(0.05, 0.2), betaMod = c(0.5, 1),
             logistic = matrix(c(0.25, 0.7, 0.09, 0.06), byrow = FALSE,
             nrow = 2))


###################################################
### chunk number 4: 
###################################################
guesst(d = 0.2, p = 0.9, model = "emax")


###################################################
### chunk number 5: 
###################################################
guesst(d = c(0.05, 0.2), p = c(0.2, 0.9), model = "logistic")


###################################################
### chunk number 6: 
###################################################
doses <- c(0, 0.05, 0.2, 0.6, 1) 
plotModels(mods2, doses, base = 0, maxEff = 0.4, scal = 1.2)


###################################################
### chunk number 7: 
###################################################
print(plotModels(mods2, doses, base = 0, maxEff = 0.4, scal = 1.2))


###################################################
### chunk number 8: 
###################################################
doses <- c(0, 0.05, 0.2, 0.6, 1)
fmods2 <- fullMod(mods2, doses, base = 0, maxEff = 0.4, scal = 1.2)        


###################################################
### chunk number 9: 
###################################################
pM <- planMM(mods2, doses, n = 20, alpha = 0.05, twoSide = FALSE, scal = 1.2)
pM


###################################################
### chunk number 10: 
###################################################
plot(pM)


###################################################
### chunk number 11: 
###################################################
print(plot(pM))


###################################################
### chunk number 12: 
###################################################
pM <- powerMM(fmods2, sigma = 1, alpha = 0.05, lower = 10, upper = 110, 
            step = 10)
plot(pM, line.at = 0.9, models = "none")


###################################################
### chunk number 13: 
###################################################
print(plot(pM, line.at = 0.9, models = "none"))


###################################################
### chunk number 14: 
###################################################
sampSize(fmods2, sigma = 1, sumFct = mean, power = 0.9, alpha = 0.05,
       twoSide = FALSE, upperN = 100)


###################################################
### chunk number 15: 
###################################################
mods3 <- list(linear = NULL, emax = 0.15)
Lfit <- LP(mods3, model = "emax", type = "LP1", paramRange = c(0.03, 0.8),
         len = 30, doses = doses, n = 92, base = 0, maxEff = 0.4, 
         sigma = 1, alpha = 0.05, twoSide = FALSE)
plot(Lfit, spldf = 25)


###################################################
### chunk number 16: 
###################################################
print(plot(Lfit, spldf = 25))


###################################################
### chunk number 17: 
###################################################
data(biom)
dfe <- MCPMod(biom, mods2, alpha = 0.05, dePar = 0.05, pVal = TRUE,
            selModel = "maxT", doseEst = "MED2", clinRel = 0.4, scal = 1.2)


###################################################
### chunk number 18: 
###################################################
dfe


###################################################
### chunk number 19: 
###################################################
summary(dfe)


###################################################
### chunk number 20: 
###################################################
plot(dfe, complData = TRUE, clinRel = TRUE)


###################################################
### chunk number 21: 
###################################################
print(plot(dfe, complData = TRUE, clinRel = TRUE))


###################################################
### chunk number 22: 
###################################################
dfe2 <- MCPMod(biom, mods2, alpha = 0.05, dePar = 0.95,
             selModel = "aveAIC", doseEst = "ED", scal = 1.2)
dfe2


###################################################
### chunk number 23: 
###################################################
summary(dfe2)


###################################################
### chunk number 24: 
###################################################
plot(dfe2, doseEst = TRUE)


###################################################
### chunk number 25: 
###################################################
print(plot(dfe2, doseEst = TRUE))


